package com.ruoyi.screen.service.impl;

import com.ruoyi.screen.domain.response.*;
import com.ruoyi.screen.mapper.ZongzhiScreenSaftyMapper;
import com.ruoyi.screen.service.ZongzhiScreenSaftyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 大屏网络安全实现层
 */
@Service
public class ZongzhiScreenSaftyServiceImpl implements ZongzhiScreenSaftyService {
    @Autowired
    private ZongzhiScreenSaftyMapper zongzhiScreenSaftyMapper;
    @Override
    public List<ZongzhiSourceResponse> getSource() {
        return zongzhiScreenSaftyMapper.getSource();
    }

    @Override
    public List<ZongzhiSafetyResponse> getsafety() {
        return zongzhiScreenSaftyMapper.getsafety();
    }

    @Override
    public List<ZongzhiSafetyListResponse> getSafetyList() {
        return zongzhiScreenSaftyMapper.getSafetyList();
    }

    @Override
    public ZongzhiSuperviseResponse getsupervise() {
        return zongzhiScreenSaftyMapper.getsupervise();
    }

    @Override
    public List<ZongzhiAttackResponse> getAttack() {
        return zongzhiScreenSaftyMapper.getAttack();
    }

    @Override
    public List<ZongzhiUnAttackResponse> getUnAttackTop() {
        return zongzhiScreenSaftyMapper.getUnAttackTop();
    }

    @Override
    public List<ZongzhiSafetyHazardResponse> getSafetyHazard() {
        return zongzhiScreenSaftyMapper.getSafetyHazard();
    }

    @Override
    public List<ZongzhiHazardDisposalResponse> getHazardDisposal() {
        return zongzhiScreenSaftyMapper.getHazardDisposal();
    }

    @Override
    public List<ZongzhiNotificationResponse> getNotification() {
        return zongzhiScreenSaftyMapper.getNotification();
    }
}
